//$Id: os_sm.cpp 262 2017-10-25 16:15:38Z depa $

#include "os_sm.h"

namespace osfsm
{
  //
  // Testing utilities.
  //
  static char const* const state_names[] = \
    {"Init", "Standby"};
  void test()
  {
    OSFsm p;
    // needed to start the highest-level SM.
    // This will call on_entry and mark the start of the SM
    p.start();

    p.process_event(init_standby(true));

    p.process_event(standby_online(true, false));

    p.process_event(ready_busy(7));

    p.process_event(dev_in_position);

    p.process_event(busy_ready);

    // p.process_event(ready_standby(false));

    // p.process_event(standby_online(true, false));

    // p.process_event(ready_busy(10));

    // p.process_event(setup_failed);
  }
}

// int main()
// {
//   osfsm::test();
//   return 0;
// }
